initfont();
--dofile("script\\gamemenu.lua")
Write("menu.lua\n")
playfile(".\\sound\\mus03.ogg",true,true);
ingame_menu=false
STATE = 0
fTeleportation=false
fMiniComics=false

local VK_ESCAPE=0x1B
local VK_HOME=0x24
local VK_END=0x23
local VK_LEFT=0x25
local VK_RIGHT=0x27
local VK_BACK=0x08
local VK_DELETE=0x2E
local VK_RETURN=0x0D
local WM_CHAR=0x0102

local DEFAULT_PLAYER_NAME = "Player"
local tmpName = DEFAULT_PLAYER_NAME
local newPlayerDialog = false

EnableMouseMoveEvent(true)
dofile("script\\core.lua");      -- для функций table.load(), table.save()
path = GetSavePath().."users"    -- путь к файлу со списком пользователей

if io.open( path, "r" ) then
  users = table.load( path );    -- загружаем
else
  users = {"Player",active = 1}  -- либо создаём
end;

username = users[users.active]    -- текущий игрок
add_tree_leaf("Root","mainmenu",-1,-1)
setInputFunction("mainMenuGameInput")
StopAllEffects()

function MouseMove(nCount)
end

function moveEye()
end

function editText(msg,text)    -- callback для EditText-а
  if newPlayerDialog then
    if msg == WM_CHAR then
      set_text(-172,tostring(text),true)
      tmpName = text
      Write(tostring(msg).."; text: "..tostring(text).."\n")
    end
    if msg == VK_RETURN then
      tmpName = text
      newPlayerGameInput(1,-107)
    end
  end
end

function DeleteCurrentSave(username)  -- удаляет файл сохранения
  savepath = GetSavePath() .. username .. ".sav";
  Write(tostring(savepath).."\n")
  os.remove( savepath );
end;


loadresource("data\\menu_texture1.png","menu_texture1");
--loadresource("data\\menu_texture2.png","menu_texture2");
-- loadresource("data\\menu_texture3.png","menu_texture3");
-- loadresource("data\\menu_texture4.png","menu_texture4");
-- loadresource("data\\menu_texture5.png","menu_texture5");
loadresource("data\\menu_texture7.png","menu_texture7");
loadresource("data\\menu_texture8.png","menu_texture8");
loadresource("data\\mode_win.png","mode_win");
loadresource("data\\main-menu.jpg","main");
--loadresource("data\\dev00.png","dev00");
loadresource("data\\developers.jpg","dev00");
loadresource("data\\dev11.png","dev11");
loadresource("data\\developers.png","developers");
loadresource("data\\error_win.png","error_win",15);
addstaticobjecttogame(-98732,"error_win"  ,280,310,"")
set_visible_object(-98732,false)
--  КОСТЫЛЬ, ЧТОБЫ НЕЛЬЗЯ БЫЛО КЛИКАТЬ ПО КНОПКАМ ПОКА ЭКРАН РАСТЕМНЯЕТСЯ ПОСЛЕ ИНТРО



addstaticobjecttogame(-222  ,"developers"  ,0  ,0  ,"");
SetAlfaValue(-222,0.01)
function mm()
  del_object_from_game(-222)
  mm = nil
end
StartTimer(-345,0.5,"mm")
-- ЕНД

dofile("script\\settings_dialog.lua")
dofile("script\\mode_win.lua")
dofile("script\\exit_dialog.lua")

local del_no_vkl     = -100    -- кнопка "нет" удаления профайла нажата
local del_no_vykl       = -101    -- кнопка "нет" удаления профайла выделена
local del_yes_vkl       = -102    -- кнопка "да" удаления профайла нажата
local del_yes_vykl       = -103    -- кнопка "да" удаления профайла выделена
local del_bg       = -104    -- фон удаления профайла

local galka           = -105    -- галочка
local new_ok_vykl       = -106    -- кнопка "принять" создания профайла выделена
local new_ok_vkl     = -107    -- кнопка "принять" создания профайла нажата
local novIgrok         = -108    -- фон создания профайла

local prinyatnazhim       = -109    -- кнопка "принять" списка профайлов нажата
local prinyatvkl     = -110    -- кнопка "принять" списка профайлов выделена
local udalitnazhim       = -111    -- кнопка "удалить" списка профайлов нажата
local udalitvkl         = -112    -- кнопка "удалить" списка профайлов выделена
local novyjnazhim       = -113    -- кнопка "новый" списка профайлов нажата
local novyjvkl         = -114    -- кнопка "новый" списка профайлов выделена
local igrok           = -115    -- фон списка профайлов

local exitdevelopers   = -116    -- кнопка "выход" из списка разработчиков (пока в одном состоянии)
local developers       = -117    -- список разработчиков

local igrokvkl         = -118    -- кнопка "игрок"
local igravkl         = -119    -- кнопка "играть"
local razrabvkl         = -120    -- кнопка "разработчики"
local vyhod           = -121    -- кнопка "выход"
local nastrvkl         = -122    -- кнопка "настройки"

local profilePoly1     = -151    -- полигончики в списке профилей
local profilePoly2     = -152    -- полигончики в списке профилей
local profilePoly3     = -153    -- полигончики в списке профилей
local profilePoly4     = -154    -- полигончики в списке профилей
local profilePoly5     = -155    -- полигончики в списке профилей
local profilePoly6     = -156    -- полигончики в списке профилей
local profilePoly7     = -157    -- полигончики в списке профилей
local profilePoly8     = -158    -- полигончики в списке профилей

local user1         = -161    -- имя юзера в списке профилей
local user2         = -162    -- имя юзера в списке профилей
local user3         = -163    -- имя юзера в списке профилей
local user4         = -164    -- имя юзера в списке профилей
local user5         = -165    -- имя юзера в списке профилей
local user6         = -166    -- имя юзера в списке профилей
local user7         = -167    -- имя юзера в списке профилей
local user8         = -168    -- имя юзера в списке профилей

local userName       = -170    -- имя юзера в главном меню
local editField       = -171    -- поле ввода нового юзера
local newPlayerName     = -172    -- имя юзера в окне создания
local delPlayerName     = -173    -- имя юзера в окне удаления

local light1       = -174    -- свет1
local light2       = -175    -- свет2
local light3       = -176    -- свет3

local left,top  = 450,270    -- верхний левый угол списка юзеров
local w,h    = 300,30    -- ширина, высота списка юзеров

-- ИМЯ ИГРОКА В ОКОШКЕ УДАЛЕНИЯ
addtexttogame(delPlayerName,146,382,"1")
set_text(delPlayerName,username,true)
set_visible_object(delPlayerName,false)
-- КОНЕЦ

-- УДАЛИТЬ ИГРОКА
addactivobjecttogame(del_no_vkl    ,"menu_texture7",278,428,"","",0,0,0,0,86,37);
addactivobjecttogame(del_no_vykl  ,"menu_texture7",278,428,"","",0,0,0,0,86,37);
addactivobjecttogame(del_yes_vkl  ,"menu_texture7",169,428,"","",0,0,86,0,44,36);
addactivobjecttogame(del_yes_vykl  ,"menu_texture7",169,428,"","",0,0,86,0,44,36);
addactivobjecttogame(del_bg      ,"menu_texture8",63,298,"","");
-- КОНЕЦ

-- ИМЯ ИГРОКА В ОКОШКЕ СОЗДАНИЯ ЮЗЕРА
addtexttogame(newPlayerName,146,382,"1")
set_text(newPlayerName,username,true)
set_visible_object(newPlayerName,false)
-- КОНЕЦ

--НОВЫЙ ИГРОК
addactivobjecttogame(galka      ,"menu_texture7"  ,117,105,"","",0,0,369,426,25 ,31 );
addactivobjecttogame(new_ok_vykl  ,"menu_texture7"  ,234,431,"","",0,0,130,0,44,36);
addactivobjecttogame(new_ok_vkl    ,"menu_texture7"  ,234,431,"","",0,0,130,0,44,36);
addactivobjecttogame(novIgrok    ,"menu_texture7"  ,61,298,"","",0,0,0,37,398,201);
-- КОНЕЦ

-- СПИСОЧЕК ПОЛЬЗОВАТЕЛЬЧИКОВ
for i=1,8 do
  tabula = {left,(top+h*(i-1)),(left+w),(top+h*(i-1)),(left+w),(top+h*(i-1)+h),left,(top+h*(i-1)+h)}
  CreatePolygon((-150-i),4,"tabula")
  --ShowPolygon((-150-i),true)
  set_visible_object((-150-i),false)
  addtexttogame((-160-i),left+10,top+2+h*(i-1),"1")
  setcolor((-160-i),0,0,0,1,1)
  if users[i] then
    set_text((-160-i),users[i],true)
  else
    set_text((-160-i),"",true)
  end
  set_visible_object((-160-i),false)
end
-- КОНЕЦ

-- ОКНО СПИСКА ИГРОКОВ
addstaticobjecttogame(prinyatnazhim  ,"menu_texture7"  ,588,553,"",174,0,44,36);
addstaticobjecttogame(prinyatvkl  ,"menu_texture7"  ,588,553,"",174,0,44,36);
addstaticobjecttogame(udalitnazhim  ,"menu_texture7"  ,476,553,"",398,37,82,37);
addstaticobjecttogame(udalitvkl    ,"menu_texture7"  ,476,553,"",398,37,82,37);
addstaticobjecttogame(novyjnazhim  ,"menu_texture7"  ,386,555,"",218,0,58,35);
addstaticobjecttogame(novyjvkl    ,"menu_texture7"  ,386,555,"",218,0,58,35);
addstaticobjecttogame(igrok      ,"menu_texture7"  ,322,158,"",480,37,391,462);
-- КОНЕЦ

-- РАЗРАБОТЧИКИ
addactivobjecttogame(exitdevelopers  ,"menu_texture1",425,700,"","",0,0,814,101,178,43 )

addstaticobjecttogame(developers  ,"developers"  ,0  ,0  ,"");
addstaticobjecttogame(123  ,"dev11"  ,285  ,198 ,"");
addstaticobjecttogame(dev00  ,"dev00"  ,0  ,0 ,"");
-- КОНЕЦ

addtexttogame(userName,60,100,"1")
setcolor(userName,0.92,0.86,0.75,1,1)
set_text(userName,username,true)

-- СВЕТ
-- addstaticobjecttogame(light1,"menu_texture3",94 ,23 ,"",267,0  ,681,745);
-- addstaticobjecttogame(light2,"menu_texture5",423,209,"",0  ,0  ,304,349);
-- addstaticobjecttogame(light3,"menu_texture5",618,270,"",495,107,211,240);
-- КОНЕЦ

-- КНОПКИ ГЛАВНОГО МЕНЮ
addactivobjecttogame(igrokvkl    ,"menu_texture7",0  ,9 ,"","",0,0,0,238,246,178);
-- profil={
-- 0,41,
-- 200,41,
-- 200,200,
-- 0,200
-- }
-- CreatePolygon(igrokvkl,4,"profil")
addactivobjecttogame(igravkl    ,"menu_texture7",750,273,"","",0,0,246,238,180,56);
addactivobjecttogame(razrabvkl    ,"menu_texture7",746,476,"","",0,0,246,294,183,52);
addactivobjecttogame(vyhod      ,"menu_texture7",760,582,"","",0,0,0,416,164,56);
addactivobjecttogame(nastrvkl    ,"menu_texture7",762,375,"","",0,0,164,416,157,53);
-- КОНЕЦ








-- speciale_action(4,delPlayerName)
-- speciale_action(4,delPlayerName)
-- speciale_action(4,del_no_vkl  )
-- speciale_action(4,del_no_vykl  )
-- speciale_action(4,del_yes_vkl  )
-- speciale_action(4,del_yes_vykl)
-- speciale_action(4,del_bg    )
-- speciale_action(4,newPlayerName)
-- speciale_action(4,galka)
-- speciale_action(4,new_ok_vykl)
-- speciale_action(4,new_ok_vkl)
-- speciale_action(4,novIgrok)
-- for i=1,8 do
  -- speciale_action(4,(-160-i))
-- end
-- speciale_action(4,prinyatnazhim)
-- speciale_action(4,prinyatvkl)
-- speciale_action(4,udalitnazhim)
-- speciale_action(4,udalitvkl)
-- speciale_action(4,novyjnazhim)
-- speciale_action(4,novyjvkl)
-- speciale_action(4,igrok)
-- speciale_action(4,exitdevelopers)
-- speciale_action(4,developersuserName)
-- speciale_action(4,light1)
-- speciale_action(4,light2)
-- speciale_action(4,light3)
-- speciale_action(4,igrokvkl)
-- speciale_action(4,igravkl  )
-- speciale_action(4,razrabvkl)
-- speciale_action(4,vyhod  )
-- speciale_action(4,nastrvkl)


set_visible_object(del_no_vkl      ,false)
set_visible_object(del_no_vykl    ,false)
set_visible_object(del_yes_vkl    ,false)
set_visible_object(del_yes_vykl    ,false)
set_visible_object(del_bg        ,false)

set_visible_object(galka      ,false)
set_visible_object(new_ok_vykl    ,false)
set_visible_object(new_ok_vkl      ,false)
set_visible_object(novIgrok      ,false)

set_visible_object(prinyatnazhim  ,false)
set_visible_object(prinyatvkl      ,false)
set_visible_object(udalitnazhim    ,false)
set_visible_object(udalitvkl    ,false)
set_visible_object(novyjnazhim    ,false)
set_visible_object(novyjvkl      ,false)
set_visible_object(igrok      ,false)

set_visible_object(exitdevelopers   ,false)
set_visible_object(developers      ,false)
set_visible_object(123      ,false)
set_visible_object(dev00      ,false)


if showdevelopers then
    set_visible_object(developers,true)
    set_visible_object(123,true)
    MoveObjectY(123,500,-400,30)
    set_visible_object(dev00,true)
    set_visible_object(exitdevelopers,true)  
end;

SetAlfaValue(igrokvkl        ,0.01)
SetAlfaValue(igravkl        ,0.01)
SetAlfaValue(razrabvkl        ,0.01)
SetAlfaValue(vyhod          ,0.01)
SetAlfaValue(nastrvkl        ,0.01)

OnMouseOver(igrokvkl  )
OnMouseOver(igravkl    )
OnMouseOver(razrabvkl  )
OnMouseOver(vyhod    )
OnMouseOver(nastrvkl  )

speciale_action(10,light1)
speciale_action(10,light2)
speciale_action(10,light3)

-- ЭТО ЧТОБ ЛАМПОЧКИ МИГАЛИ
-- function on1()
  -- local id = light2
  -- local t = 1/GetRandom(5,10)
  -- SetAlfa(id,0,1,t,"delay")
-- end
-- function off1()
  -- local id = light2
  -- local t = 1/GetRandom(5,10)
  -- SetAlfa(id,1,0,t,"on1")
-- end
-- function on2()
  -- local id = light3
  -- local t = 1/GetRandom(5,10)
  -- SetAlfa(id,0,1,t,"delay")
-- end
-- function off2()
  -- local id = light3
  -- local t = 1/GetRandom(5,10)
  -- SetAlfa(id,1,0,t,"on2")
-- end
-- function delay()
  -- local t = GetRandom(1,10)
  -- StartTimer(-3421,t,"off1")
  -- local t = GetRandom(1,10)
  -- StartTimer(-3422,t,"off2")
-- end
--delay()
-- КОНЕЦ

function mainMenuGameInput(sender, obj_id, attachedID)
  Write(sender.."; "..obj_id.."\n")
  if (not (dev or showdevelopers)) and twoStateButton(sender,obj_id,attachedID,igravkl) then
    table.save(users,path);
    savepath = GetSavePath() .. username .. ".sav";
    if not io.open( savepath, "r" ) then
      showMode()
    else
    setstateplay();
    end;
  end
  if (not (dev or showdevelopers)) and twoStateButton(sender,obj_id,attachedID,igrokvkl) then
    showProfile()
  end
  if (not (dev or showdevelopers)) and twoStateButton(sender,obj_id,attachedID,razrabvkl) then
  dev=true
    set_visible_object(developers,true)
    set_visible_object(123,true)
    MoveObjectY(123,500,-400,30)
    set_visible_object(dev00,true)
    set_visible_object(exitdevelopers,true)
  end
  if (not (dev or showdevelopers)) and twoStateButton(sender,obj_id,attachedID,vyhod) then
    Exit(true)
  end
  if (not (dev or showdevelopers)) and twoStateButton(sender,obj_id,attachedID,nastrvkl) then
    showOptions()
  end
  if sender == 1 and obj_id == exitdevelopers then
    dev=false
    showdevelopers=false
    set_visible_object(developers,false)
    set_visible_object(123,false)
    set_visible_object(dev00,false)
    set_visible_object(exitdevelopers,false)
  end
  if sender==28 and obj_id==123 then
  MoveObjectY(123,500,-400,30)
  end;
end


-- SHOW PROFILE
function showProfile()
profile=true
op_p_win=false
  set_visible_object(igrok,true)
  set_visible_object(galka,true)
  set_visible_object(prinyatvkl,true)
  set_visible_object(udalitvkl,true)
  set_visible_object(novyjvkl,true)
  SetAlfaValue(prinyatvkl  ,0.01)
  SetAlfaValue(udalitvkl  ,0.01)
  SetAlfaValue(novyjvkl  ,0.01)
  OnMouseOver(prinyatvkl  )
  OnMouseOver(udalitvkl  )
  OnMouseOver(novyjvkl  )
  for i=1,8 do
    set_visible_object((-150-i),true)
    set_visible_object((-160-i),true)
  end
  SetObjectPosition(galka,420,top+(users.active-1)*h-10)
  setInputFunction("mainMenuProfileGameInput")
  
  function mainMenuProfileGameInput(sender,obj_id) -- обработка ввода
    Write(sender.."; "..obj_id.."\n")
    if sender==6 and errorwin then
        errorwin=false
        set_visible_object(-98732,false)
    return;end;      
    -- принять
    if threeStateButton(sender,obj_id,attachedID,prinyatvkl,prinyatnazhim) then
    profile=false
      set_visible_object(prinyatvkl      ,false)
      set_visible_object(udalitvkl    ,false)
      set_visible_object(novyjvkl      ,false)
      set_visible_object(galka      ,false)
      set_visible_object(igrok,false)
      StopOnMouseOver(prinyatvkl  )
      StopOnMouseOver(udalitvkl  )
      StopOnMouseOver(novyjvkl  )
      for i=1,8 do
        set_visible_object((-150-i),false)
        set_visible_object((-160-i),false)
      end
      username = users[users.active]
      set_text(userName,username,true)
      setInputFunction()
    end
    -- удалить
    if threeStateButton(sender,obj_id,attachedID,udalitvkl,udalitnazhim) then
      deleteProfile()
      op_p_win=true
    end
    --новый
    if threeStateButton(sender,obj_id,attachedID,novyjvkl,novyjnazhim) then
      if table.maxn(users) < 8 then
        newPlayer()
      --  op_p_win=true
      end
    end
    -- установка галочки
  
    if sender == 1 then
      if obj_id >= -158 and obj_id <= -151 then
        if users[math.abs(obj_id + 150)] then
          users.active = math.abs(obj_id + 150)
          SetObjectPosition(galka,420,top+(users.active-1)*h-10)
        end
      end
    end
  end
end
-- END


-- DELETE PROFILE
function deleteProfile()
  set_visible_object(del_no_vykl    ,true)
  set_visible_object(del_no_vkl    ,true)
  set_visible_object(del_yes_vykl    ,true)
  set_visible_object(del_yes_vkl    ,true)
  set_visible_object(del_bg      ,true)
  set_visible_object(delPlayerName  ,true)
  
  SetAlfaValue(del_no_vkl,0.01)
  SetAlfaValue(del_yes_vkl,0.01)
  
  set_text(delPlayerName,users[users.active],true)
  OnMouseOver(del_no_vkl)
  OnMouseOver(del_yes_vkl)
  setInputFunction("deleteProfileGameInput")
    
  function deleteProfileGameInput(sender,obj_id)
    if twoStateButton(sender,obj_id,attachedID,del_no_vkl) then
      set_visible_object(del_no_vkl      ,false)
      set_visible_object(del_no_vykl    ,false)
      set_visible_object(del_yes_vkl    ,false)
      set_visible_object(del_yes_vykl    ,false)
      set_visible_object(del_bg      ,false)
      set_visible_object(delPlayerName  ,false)        
      StopOnMouseOver(del_no_vkl  )
      StopOnMouseOver(del_yes_vkl  )
      setInputFunction()
      op_p_win=false
    end

    if twoStateButton(sender,obj_id,attachedID,del_yes_vkl) then
      set_visible_object(del_no_vkl      ,false)
      set_visible_object(del_no_vykl    ,false)
      set_visible_object(del_yes_vkl    ,false)
      set_visible_object(del_yes_vykl    ,false)
      set_visible_object(del_bg      ,false)  
      set_visible_object(delPlayerName  ,false)
      StopOnMouseOver(del_no_vkl  )
      StopOnMouseOver(del_yes_vkl  )
      local l = table.maxn(users)
      if l > 1 then
        DeleteCurrentSave(users[users.active])
        table.remove(users,users.active)
        if l <= users.active then
          users.active = l - 1
        end
        -- updateUserList()
        -- op_p_win=false
        -- setInputFunction()
      else
        errorwin=true
        set_visible_object(-98732,true)
        speciale_action(-98732,4)
      end
      updateUserList()
      op_p_win=false
      setInputFunction()
    end
  end
end
-- END


-- NEW PLAYER
function newPlayer()
op_p_win=true
  set_visible_object(novIgrok          ,true)
  set_visible_object(new_ok_vkl        ,true)
  set_visible_object(newPlayerName      ,true)
  set_text(newPlayerName,DEFAULT_PLAYER_NAME  ,true)
  SetAlfaValue(new_ok_vkl,0.01)
  OnMouseOver(new_ok_vkl)
  newPlayerDialog = true
  CreateEdit(editField,"editText",DEFAULT_PLAYER_NAME)
  setInputFunction("newPlayerGameInput")
    
  function newPlayerGameInput(sender,obj_id)
    if twoStateButton(sender,obj_id,attachedID,new_ok_vkl) then
    op_p_win=false
      set_visible_object(new_ok_vykl    ,false)
      set_visible_object(new_ok_vkl      ,false)
      set_visible_object(novIgrok      ,false)
      set_visible_object(newPlayerName  ,false)
      DeleteEdit(editField)
      local bool = true
      for i,v in pairs(users) do
        if tmpName == v then
          bool = false
          break
        end
      end
      if bool then
        if table.maxn(users) < 8 then
          table.insert(users,tmpName)
          users.active = table.maxn(users)
          updateUserList()
        end
      end
      StopOnMouseOver(new_ok_vkl  )
      newPlayerDialog = false
      setInputFunction()
    end
  end
end
-- END


-- UPDATE USER LIST
function updateUserList()
  SetObjectPosition(galka,420,top+(users.active-1)*h-10)
  for i=1,8 do
    if users[i] then
      set_text((-160-i),users[i],true)
    else
      set_text((-160-i),"",true)
    end
  end
end
-- END


addpagetomenu(1);
addimagetomenu(1,"main",0,0);

-- ЗАКРЫТИЕ ОСНОВНОГО ОКНА
-- nAlt_F4 = 0
function AltF4()
  Write("Alt-F4\n")
  if (flags.is_hidden_loc and flags.collapsed==15) or flags.is_comics or exitWindow or fTeleportation or fMiniComics then return end
  Exit(true)
end

function setmenupage(page)

end

function ESCPressed(nCount)
  -- if STATE==1 then
   -- SetESCState(false)
  -- end;
  if exitWindow then
      del_object_from_game(exit1)
      del_object_from_game(menyuvkl)
      del_object_from_game(vyhodvkl)
      del_object_from_game(vyhodnazhim)
      del_object_from_game(menyunazhim)
      exitWindow = false
      setInputFunction()  
      SetESCState(false)
  end;  
  if STATE == 0 then

  if   errorwin then
    errorwin=false
    set_visible_object(-98732,false)
    SetESCState(false)
  end;    
  if profile and not (op_p_win) then
    profile=false
    set_visible_object(prinyatvkl      ,false)
    set_visible_object(udalitvkl    ,false)
    set_visible_object(novyjvkl      ,false)
    set_visible_object(galka      ,false)
    set_visible_object(igrok,false)
    StopOnMouseOver(prinyatvkl  )
    StopOnMouseOver(udalitvkl  )
    StopOnMouseOver(novyjvkl  )
    for i=1,8 do
      set_visible_object((-150-i),false)
      set_visible_object((-160-i),false)
    end
    username = users[users.active]
    set_text(userName,username,true)
    setInputFunction()  
     SetESCState(false)
  end;
  if dev then
    dev=false
    set_visible_object(developers,false)
    set_visible_object(123,false)
    set_visible_object(dev00,false)
    set_visible_object(exitdevelopers,false)
     SetESCState(false)
  end;  
  if optionsrun then
    closeOptions()
    SetESCState(false)
  end;
  end;
end;

    -- for i,v in pairs(_G) do
      -- if type(v) == "function" then
        -- if string.find(tostring(i),"pos") then
          -- Write(tostring(i).." = "..tostring(v).."\n")
        -- end
      -- end
    -- end
    
    
    
    
-- НЕ ИСПОЛЬЗУЕТСЯ, НО НУЖНО ЧТОБ БЫЛО
    
    ------Имя игрока----------------------------------------------------------------------------------
UserPos={}
UserPos["posX"]=1256.0;
UserPos["posY"]=110.0;
------------положение курсора---------------
CaretPos={}
CaretPos["posX"]=1256.0;
CaretPos["posY"]=110.0;
------Имя игрока----------------------------------------------------------------------------------
PlayerPlace={}
PlayerPlace["posX"]=1150.0;
PlayerPlace["posY"]=222.0;
------Выделение текущего профайла-------------------------------------------------------------------
SelectLine ={}
SelectLine["img"]="menu_texture7";
SelectLine["posX"]=1135.0; --35
SelectLine["posY"]=0.0;
SelectLine["posXimg"]=713.0;
SelectLine["posYimg"]=0.0;
SelectLine["width"]=25.0;
SelectLine["height"]=31.0;
------Окошко профайла-------------------------------------------------------------------------------
ProfWND ={}
ProfWND["img"]="menu_texture7";
ProfWND["posX"]=1288.0;      
ProfWND["posY"]=26.0;          
ProfWND["posXimg"]=692.0;       
ProfWND["posYimg"]=254.0;       
ProfWND["width"]=299.0;         
ProfWND["height"]=395.0;     
------Кнопка Ок профайла----------------------------------------------------------------------------
ProfBOK ={}
ProfBOK["img"]="menu_texture7";
ProfBOK["posX"]=ProfWND["posX"]+1194.0;
ProfBOK["posY"]=ProfWND["posY"]+333.0;
ProfBOK["posXimg"]=885.0;
ProfBOK["posYimg"]=587.0;
ProfBOK["width"]=90.0;
ProfBOK["height"]=39.0;
------Выделение Кнопки Ок профайла---------------------------------------------------------------------
ProfBOKSelect ={}
ProfBOKSelect["img"]="menu_texture7";
ProfBOKSelect["posX"]=ProfWND["posX"]+1195.0;
ProfBOKSelect["posY"]=ProfWND["posY"]+333.0;
ProfBOKSelect["posXimg"]=0.0;
ProfBOKSelect["posYimg"]=660.0;
ProfBOKSelect["width"]=90.0;
ProfBOKSelect["height"]=39.0;
------Кнопка Новый игрок-------------------------------------------------------------------------------
ProfBNew ={}
ProfBNew["img"]="menu_texture7";
ProfBNew["posX"]  =ProfWND["posX"]+1119.0;
ProfBNew["posY"]  =ProfWND["posY"]+333.0;
ProfBNew["posXimg"]=701.0;
ProfBNew["posYimg"]=587.0;
ProfBNew["width"]  =90.0;
ProfBNew["height"]  =44.0;
------Выделение кнопки новый профайл-------------------------------------------------------------------
ProfBNewSelect ={}
ProfBNewSelect["img"]="menu_texture7";
ProfBNewSelect["posX"]   =ProfWND["posX"]+1119.0;
ProfBNewSelect["posY"]   =ProfWND["posY"]+333.0;
ProfBNewSelect["posXimg"]=112.0;
ProfBNewSelect["posYimg"]=650.0;
ProfBNewSelect["width"]   =90.0;
ProfBNewSelect["height"] =39.0;
------Кнопка удалить-----------------------------------------------------------------------------------
ProfBDel ={}
ProfBDel["img"]="menu_texture7";
ProfBDel["posX"]   =ProfWND["posX"]+1101.0;
ProfBDel["posY"]   =ProfWND["posY"]+333.0;
ProfBDel["posXimg"]=793.0;
ProfBDel["posYimg"]=587.0;
ProfBDel["width"]  =91.0;
ProfBDel["height"] =39.0;
------Выделение кнопки удалить-------------------------------------------------------------------------
ProfBDelSelect ={}
ProfBDelSelect["img"]="menu_texture7";
ProfBDelSelect["posX"]   =ProfWND["posX"]+1101.0;
ProfBDelSelect["posY"]   =ProfWND["posY"]+333.0;
ProfBDelSelect["posXimg"]=738.0;
ProfBDelSelect["posYimg"]=0.0;
ProfBDelSelect["width"]  =91.0;
ProfBDelSelect["height"] =39.0;
-------Окно ввода профайла-----------------------------------------------------------------------------
ProfEnterName ={}
ProfEnterName["img"]="menu_texture7";
ProfEnterName["posX"]   =1190.0; --360
ProfEnterName["posY"]   =52.0;
ProfEnterName["posXimg"]=601.0;
ProfEnterName["posYimg"]=49.0;
ProfEnterName["width"]  =370.0;
ProfEnterName["height"] =205.0;
-------Кнопка ок ввода профайла----------------------------------------------------------------------------------------------------
ProfEnterBOk ={}
ProfEnterBOk["img"]="menu_texture7";
ProfEnterBOk["posX"]   =1325.0; --360
ProfEnterBOk["posY"]   =182.0;
ProfEnterBOk["posXimg"]=736.0;
ProfEnterBOk["posYimg"]=179.0;
ProfEnterBOk["width"]  =112.0;
ProfEnterBOk["height"] =49.0;
--------Выделение кнопки Ок профайла---------------------------------------------------------------------------------------------------
ProfEnterBOkSelect ={}
ProfEnterBOkSelect["img"]="menu_texture7";
ProfEnterBOkSelect["posX"]=1325.0;
ProfEnterBOkSelect["posY"]=182.0;
ProfEnterBOkSelect["posXimg"]=0.0;
ProfEnterBOkSelect["posYimg"]=611.0;
ProfEnterBOkSelect["width"]=112.0;
ProfEnterBOkSelect["height"]=49.0;
---------Мигающий курсор ввода имени--------------------------------------------------------------------------------------------------
ProfBlinkKursor ={}
ProfBlinkKursor["img"]="menu_texture7";
ProfBlinkKursor["posX"]   =1105.0;
ProfBlinkKursor["posY"]   =235.0;
ProfBlinkKursor["posXimg"]=108.0;
ProfBlinkKursor["posYimg"]=987.0;
ProfBlinkKursor["width"]  =3.0;
ProfBlinkKursor["height"] =  25.0;
---------Окошко удаления профайла--------------------------------------------------------------------------------------------------
ProfDelete ={}
ProfDelete["img"]="menu_texture7";
ProfDelete["posX"]   =1190.0; --420
ProfDelete["posY"]   =52.0;
ProfDelete["posXimg"]=0.0;
ProfDelete["posYimg"]=49.0;
ProfDelete["width"]  =371.0;
ProfDelete["height"] =205.0;
------Кнопка Ок удаления профайла-------------------------------------------------------------------------------------------------
ProfDeleteOK ={}
ProfDeleteOK["img"]="menu_texture7";
ProfDeleteOK["posX"]   =1226.0;
ProfDeleteOK["posY"]   =184.0;
ProfDeleteOK["posXimg"]=336.0;
ProfDeleteOK["posYimg"]=0.0;
ProfDeleteOK["width"]  =112.0;
ProfDeleteOK["height"] =49.0;
ProfDeleteOK["fnDelete"]="DeleteCurrentSave"; -- Call of function after profile delete
------Выделение кнопки ок удаления-------------------------------------------------------------------------------------------------
ProfDeleteOKSelect ={}
ProfDeleteOKSelect["img"]="menu_texture7";
ProfDeleteOKSelect["posX"]   =1226.0;
ProfDeleteOKSelect["posY"]   =184.0;
ProfDeleteOKSelect["posXimg"]=224.0;
ProfDeleteOKSelect["posYimg"]=0.0;
ProfDeleteOKSelect["width"]  =112.0;
ProfDeleteOKSelect["height"] =49.0;
----------Кнопка отмена окна удалить-------------------------------------------------------------------------------------------------
ProfDeleteCancel ={}
ProfDeleteCancel["img"]="menu_texture7";
ProfDeleteCancel["posX"]   =1408.0;
ProfDeleteCancel["posY"]   =184.0;
ProfDeleteCancel["posXimg"]=112.0;
ProfDeleteCancel["posYimg"]=0.0;
ProfDeleteCancel["width"]  =112.0;
ProfDeleteCancel["height"] =49.0;
---------Выделание кнопки отмена удаления--------------------------------------------------------------------------------------------------
ProfDeleteCancelSelect ={}
ProfDeleteCancelSelect["img"]="menu_texture7";
ProfDeleteCancelSelect["posX"]   =1408.0;
ProfDeleteCancelSelect["posY"]   =184.0;
ProfDeleteCancelSelect["posXimg"]=0.0;
ProfDeleteCancelSelect["posYimg"]=0.0;
ProfDeleteCancelSelect["width"]  =112.0;
ProfDeleteCancelSelect["height"] =49.0;
------Кнопка профиля-----------------------------------------------------------------------------------------------------
Profile ={}
Profile["img"]="main";
Profile["posX"]=1110.0;
Profile["posY"]=48.0;
Profile["posXimg"]=0.0;
Profile["posYimg"]=48.0;
Profile["width"]=176.0;
Profile["height"]=238.0;
------Настройка вывода профилей-----------------------------------------------------------------------------------------------------
ProfilesSetup ={}
ProfilesSetup["posX"]=ProfWND["posX"] + 1162; 
ProfilesSetup["posY"]=ProfWND["posY"] + 71;
ProfilesSetup["maxrecord"]=100;
ProfilesSetup["widthrecords"]=253.0; --253
ProfilesSetup["heightrecords"]=28.0; --28
ProfilesSetup["DownSound"]="menu_click";
ProfilesSetup["OverSound"]="menu_on"; --253
ProfilesSetup["UpSound"]="menu_press"; --28
-----------------------------------------------------------------------------------------------------------
--playfile(".\\sound\\037.ogg",true,true);
